Recent Futures Trades
curl --request GET \
--url https://api.polyhistorical.com/v1/{coin}/future/trades \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://api.polyhistorical.com/v1/{coin}/future/trades"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://api.polyhistorical.com/v1/{coin}/future/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
],
"total": 123,
"limit": 123
}Binance Futures
Recent Futures Trades
Get recent Binance Futures trades
GET
/
v1
/
{coin}
/
future
/
trades
Recent Futures Trades
Recent Futures Trades
Returns recent Binance Futures trades for a supported coin.Requires a Pro or Enterprise plan.
Request
https://api.polyhistorical.com/v1/{coin}/future/trades
Headers
string
required
Your API key. See Authentication.
Path parameters
string
required
Coin symbol. Supported values:
btc, eth, sol.Query parameters
integer
default:"100"
Number of trades to return (1-1000).
Response
array
List of trade objects.
integer
Number of trades returned.
integer
Requested result limit.
Example
cURL
curl -H "X-API-Key: YOUR_API_KEY" \
"https://api.polyhistorical.com/v1/btc/future/trades?limit=100"
Response
{
"data": [
{
"id": 123456789,
"price": 77593.69,
"qty": 0.00123,
"quoteQty": 95.44123,
"time": 1779730000000,
"isBuyerMaker": false
}
],
"total": 1,
"limit": 100
}
⌘I